Bug 275581 - error: size of array '__open_missing_mode' is negative
error: size of array '__open_missing_mode' is negative
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: unzip (Show other bugs)
rawhide
All All
medium Severity low
: ---
: ---
Assigned To: Ivana Varekova
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-03 16:50 EDT by Robert Scheck
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-04 06:32:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2007-09-03 16:50:23 EDT
Description of problem:
Unzip isn't rebuilding on Rawhide:

gcc -c -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-
protector --param=ssp-buffer-size=4 -m32 -march=i386 -mtune=generic -
fasynchronous-unwind-tables -D_LARGEFILE64_SOUCRE -D_GNU_SOURCE -Wall -I.  
fileio.c
fileio.c: In function 'open_outfile':
fileio.c:428: error: size of array '__open_missing_mode' is negative
fileio.c: In function 'disk_error':
fileio.c:1178: warning: ignoring return value of 'fgets', declared with 
attribute warn_unused_result
make[1]: *** [fileio.o] Error 1
make[1]: *** Waiting for unfinished jobs....

Version-Release number of selected component (if applicable):
unzip-5.52-4

How reproducible:
Everytime.
Comment 1 Ivana Varekova 2007-09-04 06:32:25 EDT
fixed in unzip-5.52-5.fc8

Note You need to log in before you can comment on or make changes to this bug.